Subject: Re: bug#55186: package-definition-location is wrong for inherited packages
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 May 2022 00:56:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Here's another problem with source location I've discovered when
>> attempting to locate the source of `python2-pytest-warnings', which
>> reads like:
>>
>> (define-public python2-pytest-warnings
>>   (package (inherit (package-with-python2
>>                      (strip-python2-variant python-pytest-warnings)))
>>            (properties `((superseded . ,python2-pytest)))))
>
> It works for me:

Thanks for checking, this works for me too now.  I think I was amidst
modifications to the code, that induced me in error.  I've fixed what I
think was a typo in a comment in the code that made my understanding
difficult in the early commits of https://issues.guix.gnu.org/55424.

Happily closing,

Maxim